import Vue from "vue";
import {
	Aside,
	Breadcrumb,
	BreadcrumbItem,
	Button,
	Cascader,
	Checkbox,
	CheckboxGroup,
	Col,
	Collapse,
	CollapseItem,
	Container,
	DatePicker,
	Dialog,
	Form,
	FormItem,
	Header,
	Input,
	InputNumber,
	Loading,
	Main,
	Menu,
	MenuItem,
	MessageBox,
	Notification,
	Option,
	OptionGroup,
	Pagination,
	Radio,
	RadioGroup,
	Row,
	Scrollbar,
	Select,
	Step,
	Steps,
	Submenu,
	Switch,
	Table,
	TableColumn,
	TabPane,
	Tabs,
	Tag,
	Card,
	TimePicker,
	Tooltip,
	Transfer,
	Tree,
	Upload,
	Divider
} from "element-ui";

Vue.use(Aside);
Vue.use(Card);
Vue.use(Breadcrumb);
Vue.use(BreadcrumbItem);
Vue.use(Button);
Vue.use(Checkbox);
Vue.use(CheckboxGroup);
Vue.use(Col);
Vue.use(Container);
Vue.use(DatePicker);
Vue.use(Dialog);
Vue.use(Form);
Vue.use(FormItem);
Vue.use(Header);
Vue.use(Input);
Vue.use(Main);
Vue.use(Menu);
Vue.use(Option);
Vue.use(Pagination);
Vue.use(Radio);
Vue.use(Row);
Vue.use(Switch);
Vue.use(Select);
Vue.use(Scrollbar);
Vue.use(Submenu);
Vue.use(Table);
Vue.use(TableColumn);
Vue.use(Tabs);
Vue.use(TabPane);
Vue.use(Tag);
Vue.use(Upload);
Vue.use(MenuItem);
Vue.use(Tree);
Vue.use(Transfer);
Vue.use(Cascader);
Vue.use(Tooltip);
Vue.use(InputNumber);
Vue.use(Step);
Vue.use(Steps);
Vue.use(OptionGroup);
Vue.use(Loading);
Vue.use(RadioGroup);
Vue.use(Collapse);
Vue.use(CollapseItem);
Vue.use(TimePicker);
Vue.use(Divider);

Vue.prototype.$alert = MessageBox.alert;
Vue.prototype.$confirm = MessageBox.confirm;
Vue.prototype.$notify = Notification;
Vue.prototype.$loading = Loading.service;

Vue.prototype.$conditionalNotify = function(messageData) {
	if (messageData.type === "error") {
		Vue.prototype.$notify({ ...messageData, duration: 0 });
	} else if (messageData.type === "warning") {
		Vue.prototype.$notify({ ...messageData, duration: 0 });
	} else if (messageData.type === "info") {
		Vue.prototype.$notify({ ...messageData, duration: 0 });
	} else {
		Vue.prototype.$notify({ ...messageData, duration: 1000 });
	}
};

Vue.prototype.$conditionalNotify.error = function(message) {
	message.type = "error";
	this(message);
};
Vue.prototype.$conditionalNotify.warning = function(message) {
	message.type = "warning";
	this(message);
};
Vue.prototype.$conditionalNotify.info = function(message) {
	message.type = "info";
	this(message);
};
Vue.prototype.$conditionalNotify.success = function(message) {
	message.type = "success";
	this(message);
};
